Page MenuHomePhabricator

Update CheckUser to use AuthManager
Closed, ResolvedPublic

Description

Items needing updating:

  • Use of the AddNewAccount hook - Should use LocalUserCreated
  • Use of the AuthPluginAutoCreate hook - Should use LocalUserCreated
  • Calls $wgAuth->getUserInstance() and $userInstance->getId() - Should probably be doing something with CentralIdLookup instead

Event Timeline

Tgr created this task.Aug 26 2015, 6:31 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added subscribers: Aklapper, Tgr.
Anomie updated the task description. (Show Details)May 11 2016, 8:39 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 11 2016, 8:39 PM

Change 290721 had a related patch set uploaded (by Anomie):
Update CheckUser for MediaWiki 1.27

https://gerrit.wikimedia.org/r/290721

Change 290721 merged by jenkins-bot:
Update CheckUser for MediaWiki 1.27

https://gerrit.wikimedia.org/r/290721

Jdforrester-WMF closed this task as Resolved.May 26 2016, 5:49 PM
Jdforrester-WMF assigned this task to Anomie.
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 291035 had a related patch set uploaded (by Legoktm):
Update CheckUser for MediaWiki 1.27

https://gerrit.wikimedia.org/r/291035

Change 291035 merged by jenkins-bot:
Update CheckUser for MediaWiki 1.27

https://gerrit.wikimedia.org/r/291035

MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.Jan 22 2017, 4:31 PM